from flask_wtf import FlaskForm
from flask_wtf.file import FileField, FileRequired, FileAllowed
from wtforms import StringField, SelectField
from wtforms.validators import DataRequired


selected_choices = [('expertise_in_interior_decorating', '裝修專業'),
                    ('house_style_design', '風格規劃'),
                    ('home_inspection', '驗屋交屋')]


class BlogCreateForm(FlaskForm):
    title = StringField('標題', validators=[DataRequired()])
    image = FileField('圖片', validators=[
        FileRequired(), FileAllowed(['jpg', 'png', 'gif', 'webp'], 'Images only!')])
    categories = SelectField('主題類別', choices=selected_choices)
